<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">Utilites Table</h6>
  </div>
  <div class="card-body">
    <form>
      <div class="table-responsive">
        <table class="table table-striped table-bordered" id="dataTable" width="100%" cellspacing="0">
          <thead>
            <tr>
              <th class="cursor-pointer" (click)="sortList('title')">
                Title
                <span *ngIf="key === 'title'">
                  <span *ngIf="reverse">
                    <i class="fas fa-arrow-up" aria-hidden="true"></i>
                  </span>
                  <span *ngIf="!reverse">
                    <i class="fas fa-arrow-down" aria-hidden="true"></i>
                  </span>
                </span>
              </th>
            </tr>
            <tr>
              <input class="form-control search-utility" (keyup)="setCurrentPage(1)" [(ngModel)]="utilitySearch"
                name="utiltiySearch" placeholder="Search...">
            </tr>
          </thead>
          <tbody>
            <tr class="cursor-pointer"
              *ngFor="let utility of utilityList | orderBy: key : reverse | filter:utilitySearch | paginate: { itemsPerPage: itemsPerPage, currentPage: currentPage };">
              <td (click)="gotoSubUtilityPage(utility)">{{utility.title}}</td>
            </tr>
          </tbody>
          <tfoot>
            <ng-container *ngIf="utilityList">
              <simpliflysaas-pagination *ngIf="!utilitySearch" (pageChange)="setCurrentPage($event)"
                [totalItems]="totalUtilities" [itemsPerPage]="itemsPerPage" [currentPage]="currentPage">
              </simpliflysaas-pagination>

              <simpliflysaas-pagination *ngIf="utilitySearch" (pageChange)="setCurrentPage($event)"
                [totalItems]="(utilityList | filter:utilitySearch)?.length" [itemsPerPage]="itemsPerPage"
                [currentPage]="currentPage">
              </simpliflysaas-pagination>
            </ng-container>

            <span *ngIf="loading">Loading...</span>
            <span *ngIf="!loading && (!utilityList || (utilityList | filter:utilitySearch)?.length === 0)">No
              results</span>
          </tfoot>
        </table>
      </div>
    </form>
  </div>
</div>
<!-- End of Table -->